Get all plans

get

/fscmRestApi/resources/11.13.18.05/simulateDemandPlans

Request

Query Parameters
  • When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
  • This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.

    Format: ?fields=Attribute1,Attribute2

    Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2
  • Used as a predefined finder to search the collection.

    Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>

    The following are the available finder names and corresponding finder variables

    • PrimaryKey Finds the plan according to primary key criteria.
      Finder Variables
      • PlanId; integer; Value that uniquely identifies the plan.
  • This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
  • This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>

    Example:
    self,canonical
  • Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
  • The resource item payload will be filtered in order to contain only data (no links section, for example).
  • This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
  • This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY

    Format: ?q=expression1;expression2

    You can use these queryable attributes to filter this collection resource using the q query parameter:
    • PlanId; integer; Unique identifier of the planner.
    • PlanName; string; Name of the plan.
    • PlanStatus; integer; Status of the plan. Contains one of the following values. 0: completed, 1: processing, 2: error, or 3: warning. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_STATUS_TYPE.
    • PlanType; integer; Type of plan. Contains one of the following values. 1: demand plan, 2: supply plan, or 3: demand and supply plan. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_TYPE.
  • The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.

There's no request body for this operation.

Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : simulateDemandPlans
Type: object
Show Source
Nested Schema : Items
Type: array
Title: Items
The items in the collection.
Show Source
Nested Schema : simulateDemandPlans-item-response
Type: object
Show Source
  • Links
  • Read Only: true
    Unique identifier of the planner.
  • Read Only: true
    Maximum Length: 255
    Name of the plan.
  • Read Only: true
    Status of the plan. Contains one of the following values. 0: completed, 1: processing, 2: error, or 3: warning. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_STATUS_TYPE.
  • Read Only: true
    Type of plan. Contains one of the following values. 1: demand plan, 2: supply plan, or 3: demand and supply plan. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_TYPE.
  • Simulate Demand Plan Runs
    Title: Simulate Demand Plan Runs
    A simulate demand run manages execution and run details for the simulate demand scheduled process. Use this resource to run the demand engine scheduled process in simulation mode.
Nested Schema : Simulate Demand Plan Runs
Type: array
Title: Simulate Demand Plan Runs
A simulate demand run manages execution and run details for the simulate demand scheduled process. Use this resource to run the demand engine scheduled process in simulation mode.
Show Source
Nested Schema : simulateDemandPlans-simulateDemandRuns-item-response
Type: object
Show Source
  • Contains one of the following values: true or false. If true, then include details of the causal factors that make up the forecast. If false, then don't provide these details. You must set this attribute to true to view the forecast details that the causal factor group creates.
  • Date and time when the plan run completed.
  • Value that uniquely identifies the simulate demand scheduled process execution.
  • Maximum Length: 64
    User who executed the action for the plan.
  • Contains one of the following values: true or false. If true, then include details of the forecast methods that make up the forecast. If false, then don't provide these details. You must set this attribute to true to view the forecast details that the forecast method creates.
  • Value that uniquely identifies the scheduled process.
  • Links
  • Text of the error messages, if any, that occurred when running the scheduled process.
  • Specifies whether data is to be refreshed or not. Contains one of the following values: 1, 2 or 3. If 1, then all data is refreshed. If 2, then only selected entities are refreshed. If 3, then data isn't refreshed.
  • Unique identifier of the plan associated with the simulate demand request.
  • Unique identifier of the forecast profile associated with the simulate demand request.
  • Date and time to start the scheduled process.
  • Status of the plan run. Contains one of the following values. 0: completed, 1: processing, 2: error, or 3: warning. A list of accepted values is defined in the lookup type ORA_MSC_PLAN_STATUS_TYPE.
  • Comments specific to the scheduled process submitted for execution.
Back to Top